## ros-lunar-moveit-visual-tools 3.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_visual_tools)

# C++ 11 required for OMPL
add_compile_options(-std=c++11)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  rviz_visual_tools
  eigen_conversions
  geometry_msgs
  moveit_ros_robot_interaction
  moveit_core
  roscpp
  tf_conversions
  visualization_msgs
  graph_msgs
  std_msgs
  trajectory_msgs
  cmake_modules
  roslint
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED system)

# Catkin
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    rviz_visual_tools
    moveit_ros_robot_interaction
    moveit_core
    geometry_msgs
    visualization_msgs
    graph_msgs
    std_msgs
    trajectory_msgs
  INCLUDE_DIRS include
)

## Build
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/imarker_robot_state.cpp
  src/imarker_end_effector.cpp
)
add_dependencies(${PROJECT_NAME} graph_msgs_generate_messages_cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Demo executable
add_executable(${PROJECT_NAME}_demo src/${PROJECT_NAME}_demo.cpp)
target_link_libraries(${PROJECT_NAME}_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)


#############
## Testing ##
#############

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

# Install libraries
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS ${PROJECT_NAME}_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-moveit-visual-tools (3.3.0-0stretch) stretch; urgency=high

  * Change error message to warning
  * Make planning scene monitor publicly exposed
  * Remove label from imarkers
  * Ability to move a collision object without removing it first
  * IMarkerRobotState: update imarkers location when setting robot state
  * IMarkerRobotState: Added setRobotState()
  * IMarkerRobotState: Renamed function publishRobotState()
  * MoveItVisualTools: renamed variable to psm_
  * Expose verbose collision checking
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 19 Jun 2017 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.2.1-0stretch) stretch; urgency=high

  * New publishTrajectoryPath() functions
  * New publishTrajectoryLine() functions
  * getRobotState() return by reference
  * Trajectory path has smaller vertices
  * IMarkerRobotState: added isStateValid()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 01 Nov 2016 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.2.0-0stretch) stretch; urgency=high

  * Added publishState() to imarker_robot_state
  * New publishTrajectoryLine() function that automatically chooses end effectors to visualize
  * New collision table function that takes z input
  * Fixed callbacks for multiple EEFs
  * Allow for two end effectors
  * Ability to use two end effectors for interactive markers
  * Make ik solving at any end effector link, not just end of kinematic chain
  * Better debugging for collision
  * Only save when mouse up
  * Fix API for changes in rviz_visual_tools
  * Allow collision walls to have variable z location
  * Make applyVirtualJointTransform() static
  * Make checkForVirtualJoint() static
  * IMarkerRobotState remove offset capability
  * IMarkerRobotState remove imarker box control
  * Switched travis to MoveIt! CI
  * Added new IMarker Robot control method
  * Cleaned up code base: catkin lint, roslint
  * Fixed bug in planning scene triggering
  * Optimize planning scene updates to only update GEOMETRY
  * Fix xacro
  * Upgrade to Eigen3 per ROS Kinetic requirements
  * New publishRobotState() function
  * Fix Eigen bugs
  * Removed deprecated code
  * Converted to C++11
  * Optional blocking publisher calls
  * Added getter for getRobotRootState()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 19 Oct 2016 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.1.0-0stretch) stretch; urgency=high

  * Re-factored and fixed visual tools demo!
  * Fixes for catkin lint
  * Fixes for roslint
  * Removed deprecated function call
  * Remove deprecated test
  * New root_robot_state utilization
  * Ablity to move a RobotState's root frame permenatly around in the scene
  * Better publishCollisionWall() function
  * Deprecated old publishTrajectoryLine() functions - removed clear_all_markers argument
  * New publishTrajectoryPath() variant
  * Rename namespace of RobotState
  * Made INFO into DEBUG output
  * New publishTrajectoryLine function
  * Switched publishTrajectoryLine to use cylinders instead of lines
  * New showJointLimits() function for console debugging a robot state
  * Fix publishTrajectoryPath() bug
  * Default blocking time for trajectory if not parameterized
  * Publish workspace parameters was incorrectly creating a collision object
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 27 Apr 2016 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.0.5-0stretch) stretch; urgency=high

  * Updated README
  * Better comment
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 08 Feb 2016 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.0.4-0stretch) stretch; urgency=high

  * Removed stray debug output
  * Improved debugging output for the hideRobot() feature and virtual_joints
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 11 Jan 2016 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.0.3-0stretch) stretch; urgency=high

  * Renamed test to demo
  * New publishTrajectoryLine() function
  * Fix travis
  * Deprecated loadEEMarker() that uses string
  * Formatted code
  * Switched from MOVEIT deprecated to RVIZ_VISUAL_TOOLS deprecated
  * Fixed shared_robot_state to initialize correctly every time
  * Switched to using name_ variables
  * Add error checks to publishTrajectoryLine
  * Added ability for publishTrajectoryLine to clear all previous markers
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 09 Jan 2016 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.0.2-0stretch) stretch; urgency=high

  * Updated README
  * Temp fix missing variable
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 26 Dec 2015 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.0.1-0stretch) stretch; urgency=high

  * catkin lint cleanup
  * Fix travis
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 04 Dec 2015 21:00:00 -0000

ros-lunar-moveit-visual-tools (3.0.0-0stretch) stretch; urgency=high

  * Release 3.0
  * Added travis support
  * fix the how to link a demo img
  * Updated link to Doxygen API description
  * Formatting and better debug output
  * Fix hide robot bug
  * Remove incompatible humanoid function
  * Default color when publishing collision meshes
  * Added error check for bad value
  * API change for removal of shape_tools
  * New publish trajectory line function
  * Remove slash from topic name
  * Removed mute functionality
  * Improved loading efficiency
  * publishContactPoints accepts a color
  * Change topics to default when opening Rviz
  * New publishCollisionMesh() function
  * Changed publishCollisionMesh() API
  * Renamed publishCollisionRectangle to publishCollisionCuboid()
  * Updated rviz_visual_tools API
  * New publishMesh from ROS msg function
  * publishRobotState() for a RobotStateMsg now allows color


=== debian/control ===
Source: ros-lunar-moveit-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-eigen-conversions, ros-lunar-geometry-msgs, ros-lunar-graph-msgs, ros-lunar-moveit-core, ros-lunar-moveit-ros-robot-interaction, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rviz-visual-tools, ros-lunar-std-msgs, ros-lunar-tf-conversions, ros-lunar-trajectory-msgs, ros-lunar-visualization-msgs
Homepage: https://github.com/davetcoleman/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-lunar-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-cmake-modules, ros-lunar-eigen-conversions, ros-lunar-geometry-msgs, ros-lunar-graph-msgs, ros-lunar-moveit-core, ros-lunar-moveit-ros-robot-interaction, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rviz-visual-tools, ros-lunar-std-msgs, ros-lunar-tf-conversions, ros-lunar-trajectory-msgs, ros-lunar-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt! data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-moveit-visual-tools//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
